/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui.dialog;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;

import net.sf.genomeview.data.Model;
import net.sf.jannot.Feature;
import net.sf.jannot.Location;

public class UniqueFeatureHitDialog extends JDialog {

    private static final long serialVersionUID = 1L;

    static Feature selectedValue;

    private Model model;

    public UniqueFeatureHitDialog(java.util.Set<Feature> list, Model model) {

        super(model.getGUIManager().getParent(), "Multiple possibilities!");
        this.model = model;
        this.setModal(true);
        this.setLayout(new BorderLayout());
        this.setLocationRelativeTo(model.getGUIManager().getParent());

        this.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
       
        final JComboBox box = new JComboBox();
        for (Feature p : list) {
            box.addItem(p);
        }
        JButton ok = new JButton("OK");
        this.getRootPane().setDefaultButton(ok);
        ok.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                selectedValue = (Feature) box.getSelectedItem();
                dispose();
            }

        });
        this.add(new JLabel("Please select your choice"), BorderLayout.NORTH);
        this.add(box, BorderLayout.CENTER);
        this.add(ok, BorderLayout.SOUTH);
        this.pack();

        this.setVisible(true);
    }

    public Feature value() {
        return selectedValue;
    }

}
