/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui.menu.edit;

import java.awt.event.ActionEvent;

import javax.swing.KeyStroke;

import net.sf.genomeview.data.Model;
import net.sf.genomeview.gui.dialog.NewFeatureFromCoordinatesDialog;
import net.sf.genomeview.gui.menu.AbstractModelAction;


public class CreateNewFeatureFromCoordinatesAction extends AbstractModelAction {

    private static final long serialVersionUID = 4521376746707912717L;

    public CreateNewFeatureFromCoordinatesAction(Model model) {
        super("Create feature from coordinates", model);
        super.putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke("control N"));
    }

    public void actionPerformed(ActionEvent e) {
        NewFeatureFromCoordinatesDialog nfd = new NewFeatureFromCoordinatesDialog(model);
        nfd.setVisible(true);
    }

}
