/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2013 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.genomeview.gui.viztracks;

import java.awt.BorderLayout;
import java.awt.event.MouseWheelListener;
import java.util.Observable;
import java.util.Observer;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.ScrollPaneConstants;

import net.sf.genomeview.data.Model;

/**
 * Frame for annotation. This contains the navigatoin panel and the annotation
 * panel.
 * 
 * @author Thomas Abeel
 * 
 */
public class AnnotationFrame extends JPanel {

    

	private static final long serialVersionUID = 2042233559397818212L;
	private GeneEvidenceLabel evidenceLabel;

    /* The supplied index is the index of the window that this panel is located. */
    public AnnotationFrame(int index, Model model) {
    	setLayout(new BorderLayout());
    	add(new Zoomer(model), BorderLayout.NORTH);
        /* gene structure and evidence panels */
    	evidenceLabel = new GeneEvidenceLabel(model);
        final JScrollPane tmp = new JScrollPane(evidenceLabel);
        evidenceLabel.setViewport(tmp.getViewport());
        tmp.setHorizontalScrollBarPolicy(ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
        tmp.setVerticalScrollBarPolicy(ScrollPaneConstants.VERTICAL_SCROLLBAR_ALWAYS);
        tmp.getVerticalScrollBar().setUnitIncrement(25);
        MouseWheelListener listener = tmp.getMouseWheelListeners()[0];
        evidenceLabel.setScrollPaneListener(listener);
        add(tmp, BorderLayout.CENTER);
    }
}
